curl https://nearnode.io/api/v1/batches?status=deployed \
-H "Authorization: Bearer sk_live_..."
{
"data": [
{
"id": "batch_xyz789...",
"label": "Q1 2026 Business Cards",
"prefix": "VID-2026",
"quantity": 100,
"function_type": "vcard",
"status": "deployed",
"manifest_url": "https://nearnode.io/api/v1/batches/batch_xyz789/manifest",
"created_at": "2026-01-10T09:00:00Z"
}
],
"total": 3
}
Batches
List Batches
Retrieve all batches in your organization.
GET
/
api
/
v1
/
batches
curl https://nearnode.io/api/v1/batches?status=deployed \
-H "Authorization: Bearer sk_live_..."
{
"data": [
{
"id": "batch_xyz789...",
"label": "Q1 2026 Business Cards",
"prefix": "VID-2026",
"quantity": 100,
"function_type": "vcard",
"status": "deployed",
"manifest_url": "https://nearnode.io/api/v1/batches/batch_xyz789/manifest",
"created_at": "2026-01-10T09:00:00Z"
}
],
"total": 3
}
Query Parameters
string
Filter by batch status. One of
pending, generating, ready, writing, deployed, failed.integer
default:"50"
Number of results per page (max 100).
integer
default:"0"
Pagination offset.
Response
array
Array of batch objects.
curl https://nearnode.io/api/v1/batches?status=deployed \
-H "Authorization: Bearer sk_live_..."
{
"data": [
{
"id": "batch_xyz789...",
"label": "Q1 2026 Business Cards",
"prefix": "VID-2026",
"quantity": 100,
"function_type": "vcard",
"status": "deployed",
"manifest_url": "https://nearnode.io/api/v1/batches/batch_xyz789/manifest",
"created_at": "2026-01-10T09:00:00Z"
}
],
"total": 3
}